For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList feedback with filters
      • POSTSubmit feedback on a message
      • GETGet feedback statistics
      • GETGet specific feedback record
      • DELDelete feedback record
Dashboard
LogoLogo
Runtype APIFeedback

Get feedback statistics

GET
/v1/feedback/stats
GET
/v1/feedback/stats
$curl https://api.runtype.com/v1/feedback/stats \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "stats": {
3 "copies": 42,
4 "downvotes": 15,
5 "netScore": 85,
6 "total": 180,
7 "upvotes": 65,
8 "csat": {
9 "average": 4.3,
10 "count": 120,
11 "distribution": {
12 "1": 5,
13 "2": 10,
14 "3": 20,
15 "4": 40,
16 "5": 45
17 }
18 },
19 "nps": {
20 "count": 150,
21 "detractors": 20,
22 "passives": 30,
23 "promoters": 100,
24 "score": 53
25 }
26 }
27}
Was this page helpful?
Previous

Get specific feedback record

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Query parameters

record_idstringOptional
flow_idstringOptional
surfaceIdstringOptional

Response

Feedback statistics
statsobject

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error